# Uses of Class
org.apache.lucene.facet.taxonomy.directory.DirectoryTaxonomyReader

Packages that use DirectoryTaxonomyReader
Package
Description
org.apache.lucene.facet.taxonomy
Taxonomy of Categories.
org.apache.lucene.facet.taxonomy.directory
Taxonomy index implementation using on top of a Directory.

## Uses of DirectoryTaxonomyReader in org.apache.lucene.facet.taxonomy

Methods in org.apache.lucene.facet.taxonomy that return DirectoryTaxonomyReader
Modifier and Type
Method
Description
`DirectoryTaxonomyReader`
SearcherTaxonomyManager.SearcherAndTaxonomy.`taxonomyReader()`
Returns the value of the `taxonomyReader` record component.
Constructors in org.apache.lucene.facet.taxonomy with parameters of type DirectoryTaxonomyReader
Modifier
Constructor
Description
``
`SearcherAndTaxonomy(IndexSearcher searcher, DirectoryTaxonomyReader taxonomyReader)`
Creates an instance of a `SearcherAndTaxonomy` record class.
``
`SearcherTaxonomyManager(IndexReader reader, DirectoryTaxonomyReader taxoReader, SearcherFactory searcherFactory)`
Creates this from already opened `IndexReader` and `DirectoryTaxonomyReader` instances.

## Uses of DirectoryTaxonomyReader in org.apache.lucene.facet.taxonomy.directory

Methods in org.apache.lucene.facet.taxonomy.directory that return DirectoryTaxonomyReader
Modifier and Type
Method
Description
`protected DirectoryTaxonomyReader`
DirectoryTaxonomyReader.`doOpenIfChanged()`
Implements the opening of a new `DirectoryTaxonomyReader` instance if the taxonomy has changed.